Rapid7 Vulnerability & Exploit Database

Ubuntu: (Multiple Advisories) (CVE-2018-19854): Linux kernel (HWE) vulnerabilities

Back to Search

Ubuntu: (Multiple Advisories) (CVE-2018-19854): Linux kernel (HWE) vulnerabilities

Severity
2
CVSS
(AV:L/AC:M/Au:N/C:P/I:N/A:N)
Published
12/04/2018
Created
03/19/2019
Added
02/05/2019
Modified
09/12/2020

Description

An issue was discovered in the Linux kernel before 4.19.3. crypto_report_one() and related functions in crypto/crypto_user.c (the crypto user configuration API) do not fully initialize structures that are copied to userspace, potentially leaking sensitive memory to user programs. NOTE: this is a CVE-2013-2547 regression but with easier exploitability because the attacker does not need a capability (however, the system must have the CONFIG_CRYPTO_USER kconfig option).

Solution(s)

  • ubuntu-upgrade-linux-image-4-15-0-1009-oracle
  • ubuntu-upgrade-linux-image-4-15-0-1028-gcp
  • ubuntu-upgrade-linux-image-4-15-0-1030-kvm
  • ubuntu-upgrade-linux-image-4-15-0-1032-raspi2
  • ubuntu-upgrade-linux-image-4-15-0-1033-aws
  • ubuntu-upgrade-linux-image-4-15-0-1034-oem
  • ubuntu-upgrade-linux-image-4-15-0-1040-azure
  • ubuntu-upgrade-linux-image-4-15-0-46-generic
  • ubuntu-upgrade-linux-image-4-15-0-46-generic-lpae
  • ubuntu-upgrade-linux-image-4-15-0-46-lowlatency
  • ubuntu-upgrade-linux-image-4-15-0-46-snapdragon
  • ubuntu-upgrade-linux-image-4-18-0-1006-gcp
  • ubuntu-upgrade-linux-image-4-18-0-1007-kvm
  • ubuntu-upgrade-linux-image-4-18-0-1008-aws
  • ubuntu-upgrade-linux-image-4-18-0-1008-azure
  • ubuntu-upgrade-linux-image-4-18-0-1009-raspi2
  • ubuntu-upgrade-linux-image-4-18-0-14-generic
  • ubuntu-upgrade-linux-image-4-18-0-14-generic-lpae
  • ubuntu-upgrade-linux-image-4-18-0-14-lowlatency
  • ubuntu-upgrade-linux-image-4-18-0-14-snapdragon
  • ubuntu-upgrade-linux-image-4-18-0-15-generic
  • ubuntu-upgrade-linux-image-4-18-0-15-generic-lpae
  • ubuntu-upgrade-linux-image-4-18-0-15-lowlatency
  • ubuntu-upgrade-linux-image-4-18-0-15-snapdragon
  • ubuntu-upgrade-linux-image-aws
  • ubuntu-upgrade-linux-image-aws-hwe
  • ubuntu-upgrade-linux-image-azure
  • ubuntu-upgrade-linux-image-gcp
  • ubuntu-upgrade-linux-image-generic
  • ubuntu-upgrade-linux-image-generic-hwe-16-04
  • ubuntu-upgrade-linux-image-generic-hwe-18-04
  • ubuntu-upgrade-linux-image-generic-lpae
  • ubuntu-upgrade-linux-image-generic-lpae-hwe-16-04
  • ubuntu-upgrade-linux-image-generic-lpae-hwe-18-04
  • ubuntu-upgrade-linux-image-gke
  • ubuntu-upgrade-linux-image-kvm
  • ubuntu-upgrade-linux-image-lowlatency
  • ubuntu-upgrade-linux-image-lowlatency-hwe-16-04
  • ubuntu-upgrade-linux-image-lowlatency-hwe-18-04
  • ubuntu-upgrade-linux-image-oem
  • ubuntu-upgrade-linux-image-oracle
  • ubuntu-upgrade-linux-image-raspi2
  • ubuntu-upgrade-linux-image-snapdragon
  • ubuntu-upgrade-linux-image-snapdragon-hwe-18-04

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;